> **Experimental**
>
> `@aws-cdk/integ-tests-alpha` is an [**experimental**](/stability) (alpha) package: its API may change in any release, without a major version bump.
# FetchOptions

Options to pass to the JavaScript fetch api.

- Stability: [Experimental](/cdk/api/stability.html)
- Source: [`lib/assertions/providers/lambda-handler/types.ts`](https://github.com/aws/aws-cdk/blob/v2.275.0-alpha.0/packages/@aws-cdk/integ-tests-alpha/lib/assertions/providers/lambda-handler/types.ts#L49)

## Example

```ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import * as integ_tests_alpha from '@aws-cdk/integ-tests-alpha';
const fetchOptions: integ_tests_alpha.FetchOptions = {
  body: 'body',
  headers: {
    headersKey: 'headers',
  },
  method: 'method',
  port: 123,
};
```

## Properties

- `body`: string — Request body.

  **Default:** no body

- `headers`: { [key: string]: string } — Optional request headers.

  **Default:** no headers

- `method`: string = GET — HTTP method.

- `port`: number — Optional port.

  **Default:** default port for protocol
